Package org.postgresql.jdbc2

# Interface ArrayAssistant

All Known Implementing Classes:
  `UUIDArrayAssistant`

public interface ArrayAssistant
Implement this interface and register the its instance to ArrayAssistantRegistry, to let Postgres driver to support more array type.

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`baseType()`
get array base type.
`Object`
`buildElement(byte[] bytes, int pos, int len)`
build a array element from its binary bytes.
`Object`
`buildElement(String literal)`
build an array element from its literal string.

## Method Details

### baseType

Class<?> baseType()
get array base type.

Returns:
  array base type

### buildElement

Object buildElement(byte[] bytes, int pos, int len)
build a array element from its binary bytes.

Parameters:
  `bytes` - input bytes
  `pos` - position in input array
  `len` - length of the element
Returns:
  array element from its binary bytes

### buildElement

Object buildElement(String literal)
build an array element from its literal string.

Parameters:
  `literal` - string representation of array element
Returns:
  array element